#ifndef ABSTRACT_DMA_INIT_H
#define ABSTRACT_DMA_INIT_H

#include <variant>

#include "dma-register.hpp"

namespace stm32f072xb {

struct AbstractDmaInit {
	const DmaPeripheral peripheral;
	const DmaDirection direction;
	const DmaCircularMode circularMode;
	const DmaMemoryIncrement memoryIncrement;
	const DmaMemorySize memorySize;
	const DmaPeripheralIncrement peripheralIncrement;
	const DmaPeripheralSize peripheralSize;
	volatile const uint8_t* buffer;
	const uint16_t bufferSize;
};

}  // namespace stm32f072xb

#endif
